#
# spec file for package python-PyYAML
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-PyYAML
Version:        3.10
Release:        0.13.1
Url:            http://pyyaml.org/wiki/PyYAML
Summary:        YAML parser and emitter for Python
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/P/PyYAML/PyYAML-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://bitbucket.org/xi/pyyaml/commits/ddf211a41bb231c365fece5599b7e484e6dc33fc
Patch0:         CVE-2014-9130-pyYAML.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libyaml-devel
BuildRequires:  python-devel
BuildRequires:  python-nose
Provides:       python-yaml = %{version}
Obsoletes:      python-yaml < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
YAML is a data serialization format designed for human readability
and interaction with scripting languages.  PyYAML is a YAML parser
and emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages.  PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%prep
%setup -q -n PyYAML-%{version}
%patch0 -p1

%build
CFLAGS="%{optflags}" python setup.py build
find examples -type f | xargs chmod -x # Fix example permissions

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
#increase file-descriptor-count for ppc to make tests happy
%ifarch ppc ppc64 s390 s390x
ulimit -Sn 2048 
%endif
python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README examples
%{python_sitearch}/*

%changelog
* Wed Mar 11 2015 aplanas@suse.com
- increase file-descriptor-count for s390x to make tests happy
* Wed Mar 11 2015 aplanas@suse.com
- Add patch to fix CVE-2014-9130 (bnc#921588) from
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772815
* Tue Mar  5 2013 dvaleev@suse.com
- increase file-descriptor-count for ppc to make tests happy
* Thu Jan 10 2013 p.drouand@gmail.com
- Initial python3 support
* Wed Dec 19 2012 saschpe@suse.de
- Build against libyaml to get the faster module
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
